net.dontdrinkandroot.visualization.layout.graph

## Class SimpleLayout<V,E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.AbstractLayout<edu.uci.ics.jung.graph.Graph<V,E>>
  - - net.dontdrinkandroot.visualization.layout.graph.SimpleLayout<V,E>

All Implemented Interfaces:
  Layout<edu.uci.ics.jung.graph.Graph<V,E>>

    public class SimpleLayout<V,E>
    extends AbstractLayout<edu.uci.ics.jung.graph.Graph<V,E>>

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.layout.AbstractLayout

`desiredBounds, layouted`

### Constructor Summary

Constructors
Constructor and Description
`SimpleLayout(edu.uci.ics.jung.graph.Graph<V,E> g, org.apache.commons.collections15.Transformer<V,VisualItem> itemTransformer)`

### Method Summary

Methods
`void` `layout()`
`void` `render(Graphics2D g2d)`

### Methods inherited from class net.dontdrinkandroot.visualization.layout.AbstractLayout

`getBounds, isLayouted, setlayouted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleLayout

    public SimpleLayout(edu.uci.ics.jung.graph.Graph<V,E> g,
                org.apache.commons.collections15.Transformer<V,VisualItem> itemTransformer)

### Method Detail

#### layout

    public void layout()
                throws LayoutException

Throws:
  `LayoutException`

#### render

    public void render(Graphics2D g2d)